openEluer 可以安装ZeroTier或Tailscale这类软件吗?

curl -s https://install.zerotier.com | sudo bash
提示:
……
*** Unknown or unsupported distribution! Aborting.

why not?
tailscale 不就是一个二进制么:)

这个脚本本身没把欧拉系统的加进去,没在穷举的系统类型里

https://pkgs.tailscale.com/stable/#static
二进制不也是分Linux发行版本吗?

也就是说ZeroTier不支持openEuler?

你这里脚本的逻辑是根据系统版本去配置yum的repo文件,然后进行安装,查了脚本提供的路径,确实没有现成openeuler的rpm包,那你就需要自行去找源码做编译安装了

可以通过docker安装, ZeroTier Linux客户端docker compose安装 - 会coding的HAM (bg7zag.com)
如果是安装自建根服务的话,也可以通过docker安装, xubiaolin/docker-zerotier-planet: 一分钟私有部署zerotier-planet服务 (github.com)